<?php

namespace Riconet\RicoProducts\Controller;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2017 Wolf Utz <utz@riconet.de>, Riconet
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use TYPO3\CMS\Extbase\Mvc\Controller\ActionController;
use TYPO3\CMS\Extbase\Configuration\ConfigurationManagerInterface;

/**
 * AbstractBackendController
 */
class AbstractBackendController extends ActionController
{
    
    /**
     * backendConfigurationManager
     * 
     * @var \TYPO3\CMS\Extbase\Configuration\BackendConfigurationManager
     * @inject 
     */
    protected $backendConfigurationManager = null;
    
    /**
     * selectedPageId
     *
     * @var int
     */
    protected $selectedPageId = 0;
    
    /**
     * defaultStoragePid
     * 
     * @var int
     */
    protected $defaultStoragePid = 0;
    
    /**
     * persistence
     * 
     * @var array
     */
    protected $persistence = [];
    
    /**
     * action index
     *
     * @return void
     */
    public function initializeAction()
    {
        $this->selectedPageId = $this->backendConfigurationManager->
                getDefaultBackendStoragePid();
        $this->persistence = $this->configurationManager->getConfiguration(
            ConfigurationManagerInterface::CONFIGURATION_TYPE_FRAMEWORK
        )['persistence'];
        $this->defaultStoragePid = (int) $this->persistence['storagePid'];
    }
    
}
