<?php

namespace Riconet\RicoProducts\Controller;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Wolf Utz <utz@riconet.de>, riconet
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use Riconet\RicoProducts\Controller\AbstractBackendController;
use TYPO3\CMS\Extbase\Utility\LocalizationUtility;

/**
 * ManagementController
 */
class ManagementController extends AbstractBackendController
{
    
    /**
     * action index
     *
     * @return void
     */
    public function initializeAction()
    {
        Define('RICO_PRODUCTS_IN_MANAGEMENT', true);
        parent::initializeAction();
    }
    
    /**
     * action product
     *
     * @return void
     */
    public function productAction()
    {
        $title = LocalizationUtility::translate(
            'tx_ricoproducts_module.product',
            'RicoProducts'
        );
        $this->view->assignMultiple(array(
            'pid' => $this->defaultStoragePid,
            'title' => $title
        ));
    }
    
    /**
     * action attribute
     *
     * @return void
     */
    public function attributeAction()
    {
        $title = LocalizationUtility::translate(
            'tx_ricoproducts_module.attribute',
            'RicoProducts'
        );
        $this->view->assignMultiple(array(
            'pid' => $this->defaultStoragePid,
            'title' => $title
        ));
    }
    
    /**
     * action category
     *
     * @return void
     */
    public function categoryAction()
    {
        $title = LocalizationUtility::translate(
            'tx_ricoproducts_module.category',
            'RicoProducts'
        );
        $this->view->assignMultiple(array(
            'pid' => $this->defaultStoragePid,
            'title' => $title
        ));
    }
    
    /**
     * action discount
     *
     * @return void
     */
    public function discountAction()
    {
        $title = LocalizationUtility::translate(
            'tx_ricoproducts_module.discount',
            'RicoProducts'
        );
        $this->view->assignMultiple(array(
            'pid' => $this->defaultStoragePid,
            'title' => $title
        ));
    }
    
}
