<?php

namespace Riconet\RicoProducts\Domain\Model;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2017 Wolf Utz <utz@riconet.de>, riconet
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;

/**
 * AttributeValue
 */
class AttributeData extends AbstractEntity
{
    use \Riconet\RicoProducts\Traits\SysLanguageTrait;

    /**
     * data
     *
     * @var string
     */
    protected $data = '';
    
    /**
     * attributes
     *
     * @var \Riconet\RicoProducts\Domain\Model\Attribute
     * @lazy
     */
    protected $attribute = null;

    /**
     * product
     *
     * @var \Riconet\RicoProducts\Domain\Model\Product
     * @lazy
     */
    protected $product = null;

    /**
     * variant
     *
     * @var \Riconet\RicoProducts\Domain\Model\Variant
     * @lazy
     */
    protected $variant = null;

    /**
     * Returns the data
     *
     * @return string $data
     */
    public function getData()
    {
        return $this->data;
    }
    
    /**
     * Sets the data
     *
     * @param string $data
     * @return void
     */
    public function setData($data)
    {
        $this->data = $data;
    }

    /**
     * Returns the attribute
     *
     * @return \Riconet\RicoProducts\Domain\Model\Attribute
     */
    public function getAttribute()
    {
        return $this->attribute;
    }
    
    /**
     * Sets the attribute
     *
     * @param \Riconet\RicoProducts\Domain\Model\Attribute $attribute
     * @return void
     */
    public function setAttribute(Attribute $attribute)
    {
        $this->attribute = $attribute;
    }

    /**
     * Returns the product
     *
     * @return \Riconet\RicoProducts\Domain\Model\Product
     */
    public function getProduct()
    {
        return $this->product;
    }

    /**
     * Sets the product
     *
     * @param \Riconet\RicoProducts\Domain\Model\Product $product
     * @return void
     */
    public function setProduct(Product $product)
    {
        $this->product = $product;
    }

    /**
     * @return Variant
     */
    public function getVariant()
    {
        return $this->variant;
    }

    /**
     * @param Variant $variant
     */
    public function setVariant(Variant $variant)
    {
        $this->variant = $variant;
    }
}