<?php

namespace Riconet\RicoProducts\Domain\Model;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2017 Wolf Utz <utz@riconet.de>, riconet
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use \TYPO3\CMS\Extbase\DomainObject\AbstractEntity;

/**
 * Model for Discount.
 */
class Discount extends AbstractEntity
{
    
    /**
     * title
     *
     * @var string
     * @validate NotEmpty
     */
    protected $title = '';
    
    /**
     * fixedValue
     *
     * @var float
     */
    protected $fixedValue = 0.0;
    
    /**
     * percentValue
     *
     * @var float
     */
    protected $percentValue = 0.0;
    
    /**
     * Returns the title
     *
     * @return string $title
     */
    public function getTitle()
    {
        return $this->title;
    }
    
    /**
     * Sets the title
     *
     * @param string $title
     * @return void
     */
    public function setTitle($title)
    {
        $this->title = $title;
    }
    
    /**
     * Sets the fixedValue
     *
     * @param float $fixedValue
     * @return void
     */
    public function setFixedValue($fixedValue)
    {
        $this->fixedValue = $fixedValue;
    }
    
    /**
     * Sets the fixedValue
     *
     * @return float
     */
    public function getFixedValue()
    {
        return $this->fixedValue;
    }
    
    /**
     * Sets the percentValue
     *
     * @param float $percentValue
     * @return void
     */
    public function setPercentValue($percentValue)
    {
        $this->percentValue = $percentValue;
    }
    
    /**
     * Sets the percentValue
     *
     * @return float
     */
    public function getPercentValue()
    {
        return $this->percentValue;
    }
    
}