<?php

namespace Riconet\RicoProducts\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2017 Wolf Utz <utz@riconet.de>, riconet
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use TYPO3\CMS\Extbase\Domain\Model\FrontendUserGroup as Typo3FrontendUserGroup;
use TYPO3\CMS\Extbase\Persistence\ObjectStorage;

/**
 * FrontendUserGroup.
 */
class FrontendUserGroup extends Typo3FrontendUserGroup
{
    /**
     * discounts.
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Riconet\RicoProducts\Domain\Model\Discount>
     * @lazy
     */
    protected $discounts = null;

    /**
     * FrontendUserGroup constructor.
     *
     * @param string $title
     */
    public function __construct($title = '')
    {
        parent::__construct($title);
        $this->initStorageObjects();
    }

    /**
     * Initializes all ObjectStorage properties.
     */
    protected function initStorageObjects()
    {
        $this->discounts = new ObjectStorage();
    }

    /**
     * Returns the discounts.
     *
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Riconet\RicoProducts\Domain\Model\Discount> $discounts
     */
    public function getDiscounts()
    {
        return $this->discounts;
    }

    /**
     * Sets the discounts.
     *
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Riconet\RicoProducts\Domain\Model\Discount> $discounts
     */
    public function setDiscounts(ObjectStorage $discounts)
    {
        $this->discounts = $discounts;
    }

    /**
     * Adds a Discount.
     *
     * @param \Riconet\RicoProducts\Domain\Model\Discount $discount
     */
    public function addDiscount(Discount $discount)
    {
        $this->discounts->attach($discount);
    }

    /**
     * Removes a Discount.
     *
     * @param \Riconet\RicoProducts\Domain\Model\Discount $discountToRemove The Discount to be removed
     */
    public function removeDiscount(Discount $discountToRemove)
    {
        $this->discounts->detach($discountToRemove);
    }
}
