<?php
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2017 Wolf Utz <utz@riconet.de>, riconet
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

namespace Riconet\RicoProducts\Domain\Model;

use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;

/**
 * Price.
 */
class ScaledPrice extends AbstractEntity
{
    use \Riconet\RicoProducts\Traits\SysLanguageTrait;

    /**
     * quantity.
     *
     * @var int
     * @validate NotEmpty
     */
    protected $quantity = 0;

    /**
     * fixedPrice.
     *
     * @var int
     * @validate NotEmpty
     */
    protected $fixedPrice = 0;

    /**
     * percentageDiscount.
     *
     * @var float
     */
    protected $percentageDiscount = 0.0;

    /**
     * Returns the quantity.
     *
     * @return string $quantity
     */
    public function getQuantity()
    {
        return $this->quantity;
    }

    /**
     * Sets the quantity.
     *
     * @param string $quantity
     */
    public function setQuantity($quantity)
    {
        $this->quantity = $quantity;
    }

    /**
     * Returns the fixedPrice.
     *
     * @return string $fixedPrice
     */
    public function getFixedPrice()
    {
        return $this->fixedPrice;
    }

    /**
     * Sets the fixedPrice.
     *
     * @param string $fixedPrice
     */
    public function setFixedPrice($fixedPrice)
    {
        $this->fixedPrice = $fixedPrice;
    }

    /**
     * Returns the percentageDiscount.
     *
     * @return string $percentageDiscount
     */
    public function getPercentageDiscount()
    {
        return $this->percentageDiscount;
    }

    /**
     * Sets the percentageDiscount.
     *
     * @param string $percentageDiscount
     */
    public function setPercentageDiscount($percentageDiscount)
    {
        $this->percentageDiscount = $percentageDiscount;
    }
}
