<?php
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2017 Wolf Utz <utz@riconet.de>, riconet
 *      Created on: 27.06.2017 11:32
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

namespace Riconet\RicoProducts\Helper;

use TYPO3\CMS\Core\SingletonInterface;
use TYPO3\CMS\Extbase\Domain\Model\Category;

/**
 * Class CategoryUtility.
 */
class CategoryHelper implements SingletonInterface
{
    /**
     * categoryRepository.
     *
     * @var \TYPO3\CMS\Extbase\Domain\Repository\CategoryRepository
     * @inject
     */
    protected $categoryRepository = null;

    /**
     * Collection Repository.
     *
     * @var \TYPO3\CMS\Core\Resource\FileCollectionRepository
     * @inject
     */
    protected $fileCollectionRepository = null;

    /**
     * @param array $uids
     *
     * @return array
     */
    public function getCategoriesByUids(array $uids)
    {
        $result = [];
        foreach ($uids as $uid) {
            $category = $this->categoryRepository->findByUid($uid);
            if ($category instanceof Category) {
                $result[] = $category;
            }
        }

        return $result;
    }

    /**
     * Gets file collections from uids array.
     *
     * @param array $uids
     *
     * @return array
     */
    public function getFileCollections(array $uids)
    {
        $fileCollections = [];
        foreach ($uids as $uid) {
            $fileCollection = $this->fileCollectionRepository->findByUid($uid);
            $fileCollection->loadContents();
            $fileCollections[] = $fileCollection;
        }

        return $fileCollections;
    }
}
