<?php

namespace Riconet\RicoProducts\Utility;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2017 Wolf Utz <utz@riconet.de>, Riconet
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use TYPO3\CMS\Backend\Utility\BackendUtility;

/**
 * TcaProductUtility
 */
class TcaProductUtility
{
    
    /**
     * Formats the attribute tca label.
     * 
     * @param array $parameters
     * @param type $parentObject
     */
    public function formatAttributeLabel(&$parameters, $parentObject)
    {
        $attributeData = BackendUtility::getRecord(
            $parameters['table'],
            $parameters['row']['uid']
        );
        $attribute = BackendUtility::getRecord(
            'tx_ricoproducts_domain_model_attribute',
            (int) $attributeData['attribute']
        );
        $title = $attribute['title'];
        $data = $attributeData['data'];
        $unit = $attribute['unit'];
        $parameters['title'] = $title . ': ' . $data . ' ' . $unit;
    }
    
}
