<?php

namespace Riconet\RicoProducts\ViewHelpers\Widget;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2017 Wolf Utz <utz@riconet.de>, Riconet
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use TYPO3\CMS\Fluid\Core\Widget\AbstractWidgetViewHelper;
use Riconet\RicoProducts\ViewHelpers\Widget\Controller\RecordListController;

/**
 * RecordListViewHelper
 */
class RecordListViewHelper extends AbstractWidgetViewHelper
{
    
    /**
     * controller
     * 
     * @var \Riconet\RicoProducts\ViewHelpers\Widget\Controller\RecordListController
     */
    protected $controller;

    /**
     * injectPaginateController
     * 
     * @param \Riconet\RicoProducts\ViewHelpers\Widget\Controller\RecordListController $controller
     */
    public function injectPaginateController(RecordListController $controller)
    {
        $this->controller = $controller;
    }

    /**
     * Renders the database record list.
     * 
     * @param string $table         Table name of the records.
     * @param int $pid              PID of the records.
     * @param string $module        The modlue name.
     * @param string $fields        The additional fields.
     * @param int $recursions       The recursions.
     * @return \TYPO3\CMS\Recordlist\RecordList\DatabaseRecordList
     */
    public function render($table, $pid, $module, $fields = '', $recursions = 0)
    {
        return $this->initiateSubRequest();
    }
    
}
