<?php

return [
    'ctrl' => [
        'title' => 'LLL:EXT:rico_products/Resources/Private/Language/locallang_db.xlf:tx_ricoproducts_domain_model_attributedata',
        'label' => 'data',
        'label_userFunc' => 'Riconet\\RicoProducts\\Utility\\TcaProductUtility->formatAttributeLabel',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'dividers2tabs' => true,
        'versioningWS' => 2,
        'versioning_followPages' => true,
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'delete' => 'deleted',
        'enablecolumns' => [
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
        ],
        'searchFields' => 'attribute,data',
        'iconfile' => 'EXT:rico_products/Resources/Public/Icons/tx_ricoproducts_domain_model_attributedata.svg',
    ],
    'interface' => [
        'showRecordFieldList' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, attribute, data',
    ],
    'types' => [
        '1' => ['showitem' => 'sys_language_uid;;;;1-1-1, l10n_parent, l10n_diffsource, hidden;;1, attribute, data, --div--;LLL:EXT:rico_products/Resources/Private/Language/locallang_db.xlf:tx_ricoproducts_tabs.access, starttime, endtime'],
    ],
    'palettes' => [
        '1' => ['showitem' => ''],
    ],
    'columns' => [
        'sys_language_uid' => [
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'foreign_table' => 'sys_language',
                'foreign_table_where' => 'ORDER BY sys_language.title',
                'items' => [
                    ['LLL:EXT:lang/locallang_general.xlf:LGL.default_value', 0],
                    ['LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages', -1],
                ],
            ],
        ],
        'l10n_parent' => [
            'displayCond' => 'FIELD:sys_language_uid:>:0',
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.l18n_parent',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'items' => [
                    ['', 0],
                ],
                'foreign_table' => 'tx_ricoproducts_domain_model_attributedata',
                'foreign_table_where' => 'AND tx_ricoproducts_domain_model_attributedata.pid=###CURRENT_PID### AND tx_ricoproducts_domain_model_attributedata.sys_language_uid IN (-1,0)',
            ],
        ],
        'l10n_diffsource' => [
            'config' => [
                'type' => 'passthrough',
            ],
        ],
        't3ver_label' => [
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.versionLabel',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'max' => 255,
            ],
        ],
        'hidden' => [
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
            'config' => [
                'type' => 'check',
            ],
        ],
        'starttime' => [
            'exclude' => 1,
            'l10n_mode' => 'mergeIfNotBlank',
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
            'config' => [
                'type' => 'input',
                'size' => 13,
                'max' => 20,
                'eval' => 'datetime',
                'checkbox' => 0,
                'default' => 0,
                'range' => [
                    'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y')),
                ],
            ],
        ],
        'endtime' => [
            'exclude' => 1,
            'l10n_mode' => 'mergeIfNotBlank',
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
            'config' => [
                'type' => 'input',
                'size' => 13,
                'max' => 20,
                'eval' => 'datetime',
                'checkbox' => 0,
                'default' => 0,
                'range' => [
                    'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y')),
                ],
            ],
        ],
        'data' => [
            'exclude' => 1,
            'label' => 'LLL:EXT:rico_products/Resources/Private/Language/locallang_db.xlf:tx_ricoproducts_domain_model_attributedata.data',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim',
            ],
        ],
        'attribute' => [
            'exclude' => 1,
            'label' => 'LLL:EXT:rico_products/Resources/Private/Language/locallang_db.xlf:tx_ricoproducts_domain_model_attributedata.attribute',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'foreign_table' => 'tx_ricoproducts_domain_model_attribute',
                'foreign_table_where' => 'AND sys_language_uid = 0 ORDER BY tx_ricoproducts_domain_model_attribute.title',
                'size' => 1,
                'maxitems' => 1,
                'eval' => '',
            ],
        ],
        'product' => [
            'exclude' => 1,
            'label' => 'LLL:EXT:rico_products/Resources/Private/Language/locallang_db.xlf:tx_ricoproducts_domain_model_product',
            'config' => [
                'type' => 'passthrough',
                'foreign_table' => 'tx_ricoproducts_domain_model_product',
            ],
        ],
        'variant' => [
            'exclude' => 1,
            'label' => 'LLL:EXT:rico_products/Resources/Private/Language/locallang_db.xlf:tx_ricoproducts_domain_model_variant',
            'config' => [
                'type' => 'passthrough',
                'foreign_table' => 'tx_ricoproducts_domain_model_variant',
            ],
        ],
    ],
];
