<?php

return [
    'ctrl' => [
        'title' => 'LLL:EXT:rico_products/Resources/Private/Language/locallang_db.xlf:tx_ricoproducts_domain_model_variant',
        'label' => 'article_number',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'dividers2tabs' => true,
        'versioningWS' => 2,
        'versioning_followPages' => true,
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'delete' => 'deleted',
        'enablecolumns' => [
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
        ],
        'searchFields' => 'title,subtitle,article_number,description,price,images,prices,attributes,',
        'iconfile' => 'EXT:rico_products/Resources/Public/Icons/tx_ricoproducts_domain_model_variant.svg',
    ],
    'interface' => [
        'showRecordFieldList' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, title, subtitle, article_number, description, price, images, prices, attributes',
    ],
    'types' => [
        '1' => [
            'showitem' => '
                sys_language_uid;;;;1-1-1, 
                l10n_parent, 
                l10n_diffsource, 
                hidden;;1, 
                title, 
                subtitle, 
                article_number, 
                description,            
                --div--;LLL:EXT:rico_products/Resources/Private/Language/locallang_db.xlf:tx_ricoproducts_tabs.pricing,
                price, 
                prices,
                --div--;LLL:EXT:rico_products/Resources/Private/Language/locallang_db.xlf:tx_ricoproducts_tabs.attributes, 
                attributes,
                --div--;LLL:EXT:rico_products/Resources/Private/Language/locallang_db.xlf:tx_ricoproducts_tabs.files,
                images, 
                --div--;LLL:EXT:rico_products/Resources/Private/Language/locallang_db.xlf:tx_ricoproducts_tabs.access, 
                starttime, 
                endtime'
        ],
    ],
    'palettes' => [
        '1' => ['showitem' => ''],
    ],
    'columns' => [
        'sys_language_uid' => [
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'foreign_table' => 'sys_language',
                'foreign_table_where' => 'ORDER BY sys_language.title',
                'items' => [
                    ['LLL:EXT:lang/locallang_general.xlf:LGL.default_value', 0],
                    ['LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages', -1],
                ],
            ],
        ],
        'l10n_parent' => [
            'displayCond' => 'FIELD:sys_language_uid:>:0',
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.l18n_parent',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'items' => [
                    ['', 0],
                ],
                'foreign_table' => 'tx_ricoproducts_domain_model_variant',
                'foreign_table_where' => 'AND tx_ricoproducts_domain_model_variant.pid=###CURRENT_PID### AND tx_ricoproducts_domain_model_variant.sys_language_uid IN (-1,0)',
            ],
        ],
        'l10n_diffsource' => [
            'config' => [
                'type' => 'passthrough',
            ],
        ],
        't3ver_label' => [
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.versionLabel',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'max' => 255,
            ],
        ],

        'hidden' => [
            'exclude' => 1,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
            'config' => [
                'type' => 'check',
            ],
        ],
        'starttime' => [
            'exclude' => 1,
            'l10n_mode' => 'mergeIfNotBlank',
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
            'config' => [
                'type' => 'input',
                'size' => 13,
                'max' => 20,
                'eval' => 'datetime',
                'checkbox' => 0,
                'default' => 0,
                'range' => [
                    'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y')),
                ],
            ],
        ],
        'endtime' => [
            'exclude' => 1,
            'l10n_mode' => 'mergeIfNotBlank',
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
            'config' => [
                'type' => 'input',
                'size' => 13,
                'max' => 20,
                'eval' => 'datetime',
                'checkbox' => 0,
                'default' => 0,
                'range' => [
                    'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y')),
                ],
            ],
        ],
        'title' => [
            'exclude' => 1,
            'label' => 'LLL:EXT:rico_products/Resources/Private/Language/locallang_db.xlf:tx_ricoproducts_domain_model_variant.title',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim',
            ],
        ],
        'article_number' => [
            'label' => 'LLL:EXT:rico_products/Resources/Private/Language/locallang_db.xlf:tx_ricoproducts_domain_model_variant.article_number',
            'config' => [
                'type' => 'input',
                'size' => 4,
                'eval' => 'required',
            ],
        ],
        'subtitle' => [
            'exclude' => 0,
            'label' => 'LLL:EXT:rico_products/Resources/Private/Language/locallang_db.xlf:tx_ricoproducts_domain_model_product.subtitle',
            'config' => [
                'type' => 'text',
                'cols' => 40,
                'rows' => 2,
                'eval' => 'trim',
            ],
        ],
        'description' => [
            'exclude' => 0,
            'label' => 'LLL:EXT:rico_products/Resources/Private/Language/locallang_db.xlf:tx_ricoproducts_domain_model_product.description',
            'config' => [
                'type' => 'text',
                'cols' => 40,
                'rows' => 3,
            ],
            'defaultExtras' => 'richtext[]',
        ],
        'images' => [
            'exclude' => 1,
            'label' => 'LLL:EXT:rico_products/Resources/Private/Language/locallang_db.xlf:tx_ricoproducts_domain_model_variant.images',
            'config' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig(
                'images',
                [
                    'appearance' => [
                        'collapseAll' => 1,
                        'showSynchronizationLink' => 1,
                        'showPossibleLocalizationRecords' => 1,
                        'showAllLocalizationLink' => 1,
                        'createNewRelationLinkTitle' => 'LLL:EXT:cms/locallang_ttc.xlf:images.addFileReference',
                    ],
                    'foreign_types' => [
                        '0' => [
                            'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette',
                        ],
                        \TYPO3\CMS\Core\Resource\File::FILETYPE_TEXT => [
                            'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette',
                        ],
                        \TYPO3\CMS\Core\Resource\File::FILETYPE_IMAGE => [
                            'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette',
                        ],
                        \TYPO3\CMS\Core\Resource\File::FILETYPE_AUDIO => [
                            'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette',
                        ],
                        \TYPO3\CMS\Core\Resource\File::FILETYPE_VIDEO => [
                            'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette',
                        ],
                        \TYPO3\CMS\Core\Resource\File::FILETYPE_APPLICATION => [
                            'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette',
                        ],
                    ],
                    'maxitems' => 1,
                ],
                $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext']
            ),
        ],
        'prices' => [
            'exclude' => 0,
            'label' => 'LLL:EXT:rico_products/Resources/Private/Language/locallang_db.xlf:tx_ricoproducts_domain_model_variant.prices',
            'config' => [
                'type' => 'inline',
                'foreign_table' => 'tx_ricoproducts_domain_model_price',
                'foreign_field' => 'variant',
                'maxitems' => 9999,
                'appearance' => [
                    'collapseAll' => 1,
                    'levelLinksPosition' => 'top',
                    'showSynchronizationLink' => 1,
                    'showPossibleLocalizationRecords' => 1,
                    'showAllLocalizationLink' => 1,
                ],
            ],
        ],
        'price' => [
            'exclude' => 0,
            'label' => 'LLL:EXT:rico_products/Resources/Private/Language/locallang_db.xlf:tx_ricoproducts_domain_model_product.price',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'double2',
            ],
        ],
        'attributes' => [
            'exclude' => 0,
            'label' => 'LLL:EXT:rico_products/Resources/Private/Language/locallang_db.xlf:tx_ricoproducts_domain_model_variant.attributes',
            'config' => [
                'type' => 'inline',
                'foreign_table' => 'tx_ricoproducts_domain_model_attributedata',
                'foreign_field' => 'variant',
                'maxitems' => 9999,
                'appearance' => [
                    'collapseAll' => 1,
                    'levelLinksPosition' => 'top',
                    'showSynchronizationLink' => 1,
                    'showPossibleLocalizationRecords' => 1,
                    'showAllLocalizationLink' => 1,
                ],
            ],
        ],
        'product' => [
            'exclude' => 1,
            'label' => 'LLL:EXT:rico_products/Resources/Private/Language/locallang_db.xlf:tx_ricoproducts_domain_model_product',
            'config' => [
                'type' => 'passthrough',
                'foreign_table' => 'tx_ricoproducts_domain_model_product',
            ],
        ],
    ],
];
