<?php
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2017 Wolf Utz <utz@riconet.de>, riconet
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

if (!defined('TYPO3_MODE')) {
    die('Access denied.');
}

call_user_func(
    function ($extensionKey) {
        // Plugin products configuration.
        \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
            "Riconet.$extensionKey",
            'Products',
            [
                'Category' => 'list',
                'Product' => 'list,show'
            ]
        );
        // RealUrl auto configuration hook.
        if (\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::isLoaded('realurl')) {
            $GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['ext/realurl/class.tx_realurl_autoconfgen.php']['extensionConfiguration']['products'] =
                \Riconet\RicoProducts\Hooks\RealUrlAutoConfigurationProducts::class . '->addProductsConfig';
        }
        if (\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::isLoaded('ke_search')){
            // Default products hook for ke_search.
            $GLOBALS['TYPO3_CONF_VARS']['EXTCONF']['ke_search']['registerIndexerConfiguration'][] =
                \Riconet\RicoProducts\Hooks\KeSearch\DefaultHook::class;
            $GLOBALS['TYPO3_CONF_VARS']['EXTCONF']['ke_search']['customIndexer'][] =
                \Riconet\RicoProducts\Hooks\KeSearch\DefaultHook::class;
            // No show view products hook for ke_search.
            $GLOBALS['TYPO3_CONF_VARS']['EXTCONF']['ke_search']['registerIndexerConfiguration'][] =
                \Riconet\RicoProducts\Hooks\KeSearch\NoShowViewHook::class;
            $GLOBALS['TYPO3_CONF_VARS']['EXTCONF']['ke_search']['customIndexer'][] =
                \Riconet\RicoProducts\Hooks\KeSearch\NoShowViewHook::class;
        }
    },
    $_EXTKEY
);
