<?php
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2017 Wolf Utz <utz@riconet.de>, riconet
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

if (!defined('TYPO3_MODE')) {
    die('Access denied.');
}

call_user_func(
    function ($_EXTKEY) {
        // Define modules array | [ key => action ].
        $modules = [
            'ricoproducts' => null, // Special * Group module.
            'manageproducts' => 'product',
            'manageattributes' => 'attribute',
            'managecategories' => 'category',
            'managediscounts' => 'discount',
        ];
        $i = 0;
        foreach ($modules as $key => $action) {
            TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
                'Riconet.'.$_EXTKEY,
                'ricoproducts',         // group
                $i > 0 ? $key : '',     // key
                $i,                     // position
                !is_null($action) ? ['Management' => $action] : [], // Controller -> action
                [
                    'access' => 'user,group',
                    'icon' => $i > 0 ? 'EXT:'.$_EXTKEY.'/Resources/Public/Icons/'.
                        ucfirst($action).'.svg' : 'EXT:'.$_EXTKEY.'/Resources/Public/Icons/RicoProducts.svg',
                    'labels' => 'LLL:EXT:'.$_EXTKEY.
                        '/Resources/Private/Language/locallang_'.$key.'.xlf',
                ]
            );
            ++$i;
        }
        // Define Tables.
        $tables = [
            'tx_ricoproducts_domain_model_product',
            'tx_ricoproducts_domain_model_variant',
            'tx_ricoproducts_domain_model_attribute',
            'tx_ricoproducts_domain_model_attributedata',
            'tx_ricoproducts_domain_model_price',
            'tx_ricoproducts_domain_model_scaledprice',
        ];
        // Add TCA descriptions and allow on standart tables.
        foreach ($tables as $table) {
            \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr(
                $table,
                'EXT:rico_products/Resources/Private/Language/locallang_csh_'.$table.'.xlf'
            );
            \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages(
                $table
            );
        }
    },
    $_EXTKEY
);
