#
# Table structure for table 'tx_ricoproducts_domain_model_product'
#
CREATE TABLE tx_ricoproducts_domain_model_product (

    uid INT(11) NOT NULL AUTO_INCREMENT,
    pid INT(11) DEFAULT '0' NOT NULL,

    title VARCHAR(255) DEFAULT '' NOT NULL,
    subtitle TEXT NOT NULL,
    article_number VARCHAR(255) DEFAULT '' NOT NULL,
    teaser TEXT NOT NULL,
    description TEXT NOT NULL,
    file_collections TEXT NOT NULL,
    images INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    plan_images INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    files INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    data_sheets INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    manuals INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    contents INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    attributes INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    prices INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    price DOUBLE(11, 2) DEFAULT '0.00' NOT NULL,
    variants INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    categories INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    accessories INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    discounts INT(11) UNSIGNED DEFAULT '0' NOT NULL,

    tstamp INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    crdate INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    cruser_id INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    deleted TINYINT(4) UNSIGNED DEFAULT '0' NOT NULL,
    hidden TINYINT(4) UNSIGNED DEFAULT '0' NOT NULL,
    starttime INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    endtime INT(11) UNSIGNED DEFAULT '0' NOT NULL,

    t3ver_oid INT(11) DEFAULT '0' NOT NULL,
    t3ver_id INT(11) DEFAULT '0' NOT NULL,
    t3ver_wsid INT(11) DEFAULT '0' NOT NULL,
    t3ver_label VARCHAR(255) DEFAULT '' NOT NULL,
    t3ver_state TINYINT(4) DEFAULT '0' NOT NULL,
    t3ver_stage INT(11) DEFAULT '0' NOT NULL,
    t3ver_count INT(11) DEFAULT '0' NOT NULL,
    t3ver_tstamp INT(11) DEFAULT '0' NOT NULL,
    t3ver_move_id INT(11) DEFAULT '0' NOT NULL,

    sys_language_uid INT(11) DEFAULT '0' NOT NULL,
    l10n_parent INT(11) DEFAULT '0' NOT NULL,
    l10n_diffsource MEDIUMBLOB,

    PRIMARY KEY (uid),
    KEY parent (pid),
    KEY t3ver_oid (t3ver_oid, t3ver_wsid),
    KEY language (l10n_parent, sys_language_uid)

);

#
# Table structure for table 'tx_ricoproducts_domain_model_variant'
#
CREATE TABLE tx_ricoproducts_domain_model_variant (

    uid INT(11) NOT NULL AUTO_INCREMENT,
    pid INT(11) DEFAULT '0' NOT NULL,

    title VARCHAR(255) DEFAULT '' NOT NULL,
    subtitle VARCHAR(255) DEFAULT '' NOT NULL,
    description TEXT NOT NULL,
    article_number VARCHAR(255) DEFAULT '' NOT NULL,
    images INT(11) UNSIGNED NOT NULL DEFAULT '0',
    prices INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    price DOUBLE(11, 2) DEFAULT '0.00' NOT NULL,
    attributes INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    product INT(11) UNSIGNED DEFAULT '0' NOT NULL,

    tstamp INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    crdate INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    cruser_id INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    deleted TINYINT(4) UNSIGNED DEFAULT '0' NOT NULL,
    hidden TINYINT(4) UNSIGNED DEFAULT '0' NOT NULL,
    starttime INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    endtime INT(11) UNSIGNED DEFAULT '0' NOT NULL,

    t3ver_oid INT(11) DEFAULT '0' NOT NULL,
    t3ver_id INT(11) DEFAULT '0' NOT NULL,
    t3ver_wsid INT(11) DEFAULT '0' NOT NULL,
    t3ver_label VARCHAR(255) DEFAULT '' NOT NULL,
    t3ver_state TINYINT(4) DEFAULT '0' NOT NULL,
    t3ver_stage INT(11) DEFAULT '0' NOT NULL,
    t3ver_count INT(11) DEFAULT '0' NOT NULL,
    t3ver_tstamp INT(11) DEFAULT '0' NOT NULL,
    t3ver_move_id INT(11) DEFAULT '0' NOT NULL,

    sys_language_uid INT(11) DEFAULT '0' NOT NULL,
    l10n_parent INT(11) DEFAULT '0' NOT NULL,
    l10n_diffsource MEDIUMBLOB,

    PRIMARY KEY (uid),
    KEY parent (pid),
    KEY t3ver_oid (t3ver_oid, t3ver_wsid),
    KEY language (l10n_parent, sys_language_uid)

);

#
# Table structure for table 'tx_ricoproducts_domain_model_attribute'
#
CREATE TABLE tx_ricoproducts_domain_model_attribute (

    uid INT(11) NOT NULL AUTO_INCREMENT,
    pid INT(11) DEFAULT '0' NOT NULL,

    title VARCHAR(255) DEFAULT '' NOT NULL,
    unit VARCHAR(255) DEFAULT '' NOT NULL,

    tstamp INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    crdate INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    cruser_id INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    deleted TINYINT(4) UNSIGNED DEFAULT '0' NOT NULL,
    hidden TINYINT(4) UNSIGNED DEFAULT '0' NOT NULL,
    starttime INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    endtime INT(11) UNSIGNED DEFAULT '0' NOT NULL,

    t3ver_oid INT(11) DEFAULT '0' NOT NULL,
    t3ver_id INT(11) DEFAULT '0' NOT NULL,
    t3ver_wsid INT(11) DEFAULT '0' NOT NULL,
    t3ver_label VARCHAR(255) DEFAULT '' NOT NULL,
    t3ver_state TINYINT(4) DEFAULT '0' NOT NULL,
    t3ver_stage INT(11) DEFAULT '0' NOT NULL,
    t3ver_count INT(11) DEFAULT '0' NOT NULL,
    t3ver_tstamp INT(11) DEFAULT '0' NOT NULL,
    t3ver_move_id INT(11) DEFAULT '0' NOT NULL,

    sys_language_uid INT(11) DEFAULT '0' NOT NULL,
    l10n_parent INT(11) DEFAULT '0' NOT NULL,
    l10n_diffsource MEDIUMBLOB,

    PRIMARY KEY (uid),
    KEY parent (pid),
    KEY t3ver_oid (t3ver_oid, t3ver_wsid),
    KEY language (l10n_parent, sys_language_uid)

);

#
# Table structure for table 'tx_ricoproducts_domain_model_attributedata'
#
CREATE TABLE tx_ricoproducts_domain_model_attributedata (

    uid INT(11) NOT NULL AUTO_INCREMENT,
    pid INT(11) DEFAULT '0' NOT NULL,

    product INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    variant INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    attribute INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    data VARCHAR(255) DEFAULT '' NOT NULL,

    tstamp INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    crdate INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    cruser_id INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    deleted TINYINT(4) UNSIGNED DEFAULT '0' NOT NULL,
    hidden TINYINT(4) UNSIGNED DEFAULT '0' NOT NULL,
    starttime INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    endtime INT(11) UNSIGNED DEFAULT '0' NOT NULL,

    t3ver_oid INT(11) DEFAULT '0' NOT NULL,
    t3ver_id INT(11) DEFAULT '0' NOT NULL,
    t3ver_wsid INT(11) DEFAULT '0' NOT NULL,
    t3ver_label VARCHAR(255) DEFAULT '' NOT NULL,
    t3ver_state TINYINT(4) DEFAULT '0' NOT NULL,
    t3ver_stage INT(11) DEFAULT '0' NOT NULL,
    t3ver_count INT(11) DEFAULT '0' NOT NULL,
    t3ver_tstamp INT(11) DEFAULT '0' NOT NULL,
    t3ver_move_id INT(11) DEFAULT '0' NOT NULL,

    sys_language_uid INT(11) DEFAULT '0' NOT NULL,
    l10n_parent INT(11) DEFAULT '0' NOT NULL,
    l10n_diffsource MEDIUMBLOB,

    PRIMARY KEY (uid),
    KEY parent (pid),
    KEY t3ver_oid (t3ver_oid, t3ver_wsid),
    KEY language (l10n_parent, sys_language_uid)

);

#
# Table structure for table 'tx_ricoproducts_domain_model_price'
#
CREATE TABLE tx_ricoproducts_domain_model_price (

    uid INT(11) NOT NULL AUTO_INCREMENT,
    pid INT(11) DEFAULT '0' NOT NULL,

    frontend_user_group INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    scaled_prices INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    product INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    variant INT(11) UNSIGNED DEFAULT '0' NOT NULL,

    tstamp INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    crdate INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    cruser_id INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    deleted TINYINT(4) UNSIGNED DEFAULT '0' NOT NULL,
    hidden TINYINT(4) UNSIGNED DEFAULT '0' NOT NULL,
    starttime INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    endtime INT(11) UNSIGNED DEFAULT '0' NOT NULL,

    t3ver_oid INT(11) DEFAULT '0' NOT NULL,
    t3ver_id INT(11) DEFAULT '0' NOT NULL,
    t3ver_wsid INT(11) DEFAULT '0' NOT NULL,
    t3ver_label VARCHAR(255) DEFAULT '' NOT NULL,
    t3ver_state TINYINT(4) DEFAULT '0' NOT NULL,
    t3ver_stage INT(11) DEFAULT '0' NOT NULL,
    t3ver_count INT(11) DEFAULT '0' NOT NULL,
    t3ver_tstamp INT(11) DEFAULT '0' NOT NULL,
    t3ver_move_id INT(11) DEFAULT '0' NOT NULL,

    sys_language_uid INT(11) DEFAULT '0' NOT NULL,
    l10n_parent INT(11) DEFAULT '0' NOT NULL,
    l10n_diffsource MEDIUMBLOB,

    PRIMARY KEY (uid),
    KEY parent (pid),
    KEY t3ver_oid (t3ver_oid, t3ver_wsid),
    KEY language (l10n_parent, sys_language_uid)

);

#
# Table structure for table 'tx_ricoproducts_domain_model_scaled_price'
#
CREATE TABLE tx_ricoproducts_domain_model_scaledprice (

    uid INT(11) NOT NULL AUTO_INCREMENT,
    pid INT(11) DEFAULT '0' NOT NULL,

    quantity INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    fixed_price FLOAT(11, 2) DEFAULT '0' NOT NULL,
    percentage_discount FLOAT(11, 2) DEFAULT '0' NOT NULL,
    price INT(11) UNSIGNED DEFAULT '0' NOT NULL,

    tstamp INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    crdate INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    cruser_id INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    deleted TINYINT(4) UNSIGNED DEFAULT '0' NOT NULL,
    hidden TINYINT(4) UNSIGNED DEFAULT '0' NOT NULL,
    starttime INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    endtime INT(11) UNSIGNED DEFAULT '0' NOT NULL,

    t3ver_oid INT(11) DEFAULT '0' NOT NULL,
    t3ver_id INT(11) DEFAULT '0' NOT NULL,
    t3ver_wsid INT(11) DEFAULT '0' NOT NULL,
    t3ver_label VARCHAR(255) DEFAULT '' NOT NULL,
    t3ver_state TINYINT(4) DEFAULT '0' NOT NULL,
    t3ver_stage INT(11) DEFAULT '0' NOT NULL,
    t3ver_count INT(11) DEFAULT '0' NOT NULL,
    t3ver_tstamp INT(11) DEFAULT '0' NOT NULL,
    t3ver_move_id INT(11) DEFAULT '0' NOT NULL,

    sys_language_uid INT(11) DEFAULT '0' NOT NULL,
    l10n_parent INT(11) DEFAULT '0' NOT NULL,
    l10n_diffsource MEDIUMBLOB,

    PRIMARY KEY (uid),
    KEY parent (pid),
    KEY t3ver_oid (t3ver_oid, t3ver_wsid),
    KEY language (l10n_parent, sys_language_uid)

);

#
# Table structure for table 'tx_ricoproducts_domain_model_discount'
#
CREATE TABLE tx_ricoproducts_domain_model_discount (

    uid INT(11) NOT NULL AUTO_INCREMENT,
    pid INT(11) DEFAULT '0' NOT NULL,

    title VARCHAR(255) DEFAULT '' NOT NULL,
    fixed_value FLOAT(11, 2) DEFAULT '0' NOT NULL,
    percent_value FLOAT(11, 2) DEFAULT '0' NOT NULL,

    tstamp INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    crdate INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    cruser_id INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    deleted TINYINT(4) UNSIGNED DEFAULT '0' NOT NULL,
    hidden TINYINT(4) UNSIGNED DEFAULT '0' NOT NULL,
    starttime INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    endtime INT(11) UNSIGNED DEFAULT '0' NOT NULL,

    t3ver_oid INT(11) DEFAULT '0' NOT NULL,
    t3ver_id INT(11) DEFAULT '0' NOT NULL,
    t3ver_wsid INT(11) DEFAULT '0' NOT NULL,
    t3ver_label VARCHAR(255) DEFAULT '' NOT NULL,
    t3ver_state TINYINT(4) DEFAULT '0' NOT NULL,
    t3ver_stage INT(11) DEFAULT '0' NOT NULL,
    t3ver_count INT(11) DEFAULT '0' NOT NULL,
    t3ver_tstamp INT(11) DEFAULT '0' NOT NULL,
    t3ver_move_id INT(11) DEFAULT '0' NOT NULL,

    sys_language_uid INT(11) DEFAULT '0' NOT NULL,
    l10n_parent INT(11) DEFAULT '0' NOT NULL,
    l10n_diffsource MEDIUMBLOB,

    PRIMARY KEY (uid),
    KEY parent (pid),
    KEY t3ver_oid (t3ver_oid, t3ver_wsid),
    KEY language (l10n_parent, sys_language_uid)

);

#
# Table structure for table 'tt_content'
#
CREATE TABLE tt_content (

    product INT(11) UNSIGNED DEFAULT '0' NOT NULL

);

#
# Table structure for table 'fe_groups'
#
CREATE TABLE fe_groups (

    discounts INT(11) UNSIGNED DEFAULT '0' NOT NULL

);

#
# Table structure for table 'tx_ricoproducts_product_product_mm'
#
CREATE TABLE tx_ricoproducts_product_product_mm (

    uid_local INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    uid_foreign INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    sorting INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    sorting_foreign INT(11) UNSIGNED DEFAULT '0' NOT NULL,

    KEY uid_local (uid_local),
    KEY uid_foreign (uid_foreign)

);
#
# Table structure for table 'tx_ricoproducts_product_discount_mm'
#
CREATE TABLE tx_ricoproducts_product_discount_mm (

    uid_local INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    uid_foreign INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    sorting INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    sorting_foreign INT(11) UNSIGNED DEFAULT '0' NOT NULL,

    KEY uid_local (uid_local),
    KEY uid_foreign (uid_foreign)

);

#
# Table structure for table 'fe_groups_discount_mm'
#
CREATE TABLE fe_groups_discount_mm (

    uid_local INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    uid_foreign INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    sorting INT(11) UNSIGNED DEFAULT '0' NOT NULL,
    sorting_foreign INT(11) UNSIGNED DEFAULT '0' NOT NULL,

    KEY uid_local (uid_local),
    KEY uid_foreign (uid_foreign)

);